import 'package:flutter_test/flutter_test.dart';
import 'package:nut_player_android/nut_player_android.dart';
import 'package:nut_player_android/nut_player_android_platform_interface.dart';
import 'package:nut_player_android/nut_player_android_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockNutPlayerAndroidPlatform
    with MockPlatformInterfaceMixin
    implements NutPlayerAndroidPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final NutPlayerAndroidPlatform initialPlatform = NutPlayerAndroidPlatform.instance;

  test('$MethodChannelNutPlayerAndroid is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelNutPlayerAndroid>());
  });
}
